%define major 0
%define libname %mklibname argyll %{major}
%define libicc %mklibname argyllicc %{major}
%define devname %mklibname argyll -d

Summary:	ICC compatible color management system
Name:		argyllcms
Version:	1.6.3
Release:	1
License:	GPLv3+ and BSD and MIT and AGPLv3+
Group:		Graphics
Url:		http://gitorious.org/hargyllcms
Source0:	http://people.freedesktop.org/~hughsient/releases/hargyllcms-%{version}.tar.xz
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xxf86vm)
Requires:	udev

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%files
%defattr(0644,root,root,0755)
%doc %{_defaultdocdir}/argyll
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/color/argyll
%doc AUTHORS ChangeLog Readme.txt

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Argyll CMS libraries
Group:		System/Libraries

%description -n %{libname}
This package contains shared libraries used by Argyll CMS.

%files -n %{libname}
%{_libdir}/libargyll.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libicc}
Summary:	Argyll CMS libraries
Group:		System/Libraries
Conflicts:	%{_lib}argyll0 < 1.5.1-2

%description -n %{libicc}
This package contains shared libraries used by Argyll CMS.

%files -n %{libicc}
%{_libdir}/libargyllicc.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Argyll CMS development files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libicc} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains development files for Argyll CMS shared libraries.

%files -n %{devname}
%doc AUTHORS ChangeLog Readme.txt
%{_libdir}/libargyll*.so

#----------------------------------------------------------------------------

%prep
%setup -q -n hargyllcms-%{version}

%build
autoreconf -fi
export LDFLAGS="-ldl"
%configure2_5x --disable-static
#parallel build is broken
make LIBS="-lrt -lpthread -lz -lm"

%install
%makeinstall_std


%changelog
* Sat Jul 05 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.3-1
+ Revision: d777df7
- New version 1.6.3


